Scrum - Defect #1013
Spring settings missing
2015-04-07 20:41 - Eugene Batogov

Status: Rejected

Priority: Normal

Category: General

Target version: Scrum v0.13.1

Source: Development Blocked: No
Detected on version: Scrum v0.9.1 Alone:

Description

I try to use Scrum plugin and don't see Sprints tab in project settings.
| have role Manager for this project and enable all plugin permissions for this role, but Sprints tab doesn't appear :(

History

#1 - 2015-05-31 21:11 - Emilio Gonzalez Montaha

- Target version deleted (Scrum v0.11.0)

#2 - 2015-07-08 00:52 - Michal Nowak

| have the same problem on version Scrum v0.11.1

about:

Environment:

Redmine version 3.0.3.stable
Ruby version 2.1.5-p273 (2014-11-13) [x86_64-linux-gnu]
Rails version 422
Environment production
Database adapter Mysql2
SCM:

Mercurial 3.1.2

Git 214

Filesystem

Redmine plugins:

redmine_contacts 4.0.1
redmine_contacts_helpdesk  3.0.0
redmine_mail_reminder 3.0.0.0001
scrum 0.11.1

#3 - 2015-08-31 11:19 - Fredrik Ahlbéck

| have the same problem with 0.12.

But it seems that only one plugin can set more tabs inside the redmine settings tab, and it is the last one loaded that will show, it seems that it is an
limitation in redmine.

That if the comments in this: http://www.redmine.org/boards/3/topics/20208 is true.

If it is i would like to suggest that perhaps add an "add sprint button" to the normal sprint page would solve the problem, and provide the same
functionality (same goes for the backlog part to..), and remove the tabs from settings, since if it is true then other plugins may make this plugin break
and the other way around in some other cases.

Regards,
Fredrik

#4 - 2015-10-14 12:29 - Emilio Gonzalez Montaina
- Category set to General
- Status changed from New to Rejected

- Target version set to Scrum v0.13.1

I've rejected the defect because Redmine does support several plugins to add project settings tabs at the same time (in deed this Redmine
installation has several plugins adding tabs to the project settings tabs without any kind of problem).

Take a look to plugin file: lib/scrum/projects_helper_patch.rb (any plugin version).
http://www.redmine.org/boards/3/topics/20208

Please, check other plugins use the same Redmine API.

#5 - 2016-08-31 15:38 - Leandro Ferreira

| hava this problem with Redmine 2.5.0.stable and Scrum Plugin 0.10.0
| solved editing the file : redmine/app/views/projects/settings.html.erb
The content is the following:
<h2><%=1(:1label_settings) $></h2>

<%
tabs = project_settings_tabs

if User.current.allowed_to? (:manage_sprints, @project)
tabs.push({ :name => "sprints",
raction => :edit_sprints,
:partial => "projects/settings/sprints",
:label => :label_sprint_plural })
%>

<%= render_tabs tabs %>

<% html_title(l(:label_settings)) %>
